%global debug_package %{nil}

# prefer new (rpm >= 4.11) macrosdir if present
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] ||
d=%{_sysconfdir}/rpm; echo $d)

Name:           gnustep-make
Version:        2.6.7
Release:        1%{?dist}
Summary:        GNUstep makefile package

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.gnustep.org/
Source0:        ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

# Taken from git://fedorahosted.org/git/gnustep-rpm-macros.git
Source1:        macros.gnustep

# Patch to fix #1005328 (Using Framework.mate with DESTPATH)
Patch1:         gnustep-make-2.6.5-framework.patch

BuildConflicts: gnustep-make
BuildRequires:  automake autoconf
BuildRequires:  gcc-objc
BuildRequires:  texinfo-tex tetex-latex tetex-dvips latex2html texi2html
Requires:       gnustep-filesystem = %{version}-%{release}
Requires(post): info
Requires(preun): info


%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.


%package -n     gnustep-filesystem
Summary:        The basic directory layout for GNUstep packages
Group:          System Environment/Base
License:        Public Domain

%description -n gnustep-filesystem
The gnustep-filesystem package contains the basic directory layout for
GNUstep packages.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        GPLv3+
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

This package contains documentation for %{name}.

%prep
%setup -q
%patch1 -p1 -b .fmwork

sed -i "s|/lib/|/%{_lib}/|g" FilesystemLayouts/fhs-system
sed -i "s|/lib$|/%{_lib}|g" FilesystemLayouts/fhs-system
sed -i "s|/lib/|/%{_lib}/|g" FilesystemLayouts/fhs
sed -i "s|/lib$|/%{_lib}|g" FilesystemLayouts/fhs
# /usr/share/GNUstep/Makefiles/config-noarch.make and
# /usr/share/GNUstep/Makefiles/ix86/linux-gnu/gnu-gnu-gnu/config.make
# are spoiling a pure /usr/share install
sed -i "s|=/share/GNUstep/Makefiles|=/%{_lib}/GNUstep/Makefiles|" \
    FilesystemLayouts/fhs-system

%build
autoreconf
%configure --with-layout=fhs-system --enable-flattened
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
make -C Documentation GNUSTEP_MAKEFILES=%{buildroot}%{_libdir}/GNUstep/Makefiles
make -C Documentation install GNUSTEP_MAKEFILES=%{buildroot}%{_libdir}/GNUstep/Makefiles DESTDIR=%{buildroot}

# create remaining GNUstep directories
for i in Applications WebApplications; do
    mkdir -p %{buildroot}%{_prefix}{,/local}/lib{,64}/GNUstep/$i
done
mkdir -p %{buildroot}%{_prefix}{,/local}/share/GNUstep/Documentation/Developer

# INstall rpm macros
install -d %{buildroot}%{macrosdir}
install -p %{SOURCE1} %{buildroot}%{macrosdir}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc ANNOUNCE COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/GNUstep/GNUstep.conf
%{_bindir}/*
%{_libdir}/GNUstep/Makefiles
%{_mandir}/man*/*
%{_infodir}/*
%{macrosdir}/macros.gnustep

%files -n gnustep-filesystem
%defattr(-,root,root,-)
%dir %{_sysconfdir}/GNUstep
%dir %{_libdir}/GNUstep
%dir %{_libdir}/GNUstep/Applications
%dir %{_libdir}/GNUstep/WebApplications
%dir %{_datadir}/GNUstep
%dir %{_datadir}/GNUstep/Documentation
%dir %{_datadir}/GNUstep/Documentation/Developer

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/GNUstep/Documentation/*


%changelog
* Fri May 15 2015 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.7-1
- New upstream release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb  7 2014 Michel Salim <salimma@fedoraproject.org> - 2.6.6-2
- Use correct macros directory on systems with RPM >= 4.11

* Sun Jan 12 2014 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.6-1
- New upstream release

* Fri Sep  6 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.5-4
- Fix issue with using DESTDIr in Framework.make (#1005328)

* Wed Aug 21 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.5-3
- Change macros in macros.gnustep

* Tue Aug  6 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.5-2
- Remove empty versioned docdir (#993796(

* Tue Jul 30 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.5-1
- New upstream release

* Tue May  7 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-13
- Remove %%gnustep_movefiles and %%gnustep_bothfiles from macros.gnustep

* Tue May  7 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-12
- Move DTDs subdir back to %%{gnustep_libdir} in macros.gnustep

* Sun May  5 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-11
- Remove /usr/local dirs from gnustep-filesystem (#959770)

* Fri Apr  5 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-9
- Remove / at the end of the gnustep macro definitions

* Thu Apr  4 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-8
- Make gnustep-filesystem acht dependent

* Mon Apr  1 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-7
- Remove GNUSTEP_MAKFILES assignment from %%gnustep_make macro

* Sun Mar 31 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-6
- Fix issue with continuations in rpm macros

* Sun Mar 31 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-5
- Fix typo in rpm macro definitions

* Sun Mar 31 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-4
- Add rpm macros for gnustep packaging
- Package cleanup

* Fri Mar 29 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-2
- Try to fix aarm64 issue (#925465)

* Fri Mar 29 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.4-1
- New upstream release

* Sun Mar  3 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.6.3-2
- New upstream Release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Jochen Schmitt <Jochen herr-schmitt de> 2.6.2-1
- New upstream release
- Switch back to gcc-objc

* Wed Jan 18 2012 Jochen Schmitt <Jochen herr-schmitt de> 2.6.1-3
- Migratiing to clang

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun  7 2011 Jochen Schmitt <Jochen herr-schmitt de> 2.6.1-1
- New upstream release

* Mon May 30 2011 Jochen Schmitt <Jochen herr-schmitt de> 2.6.0-2
- Add BR gcc-objc for exception handling (#708975)

* Thu Apr 14 2011 Jochen Schmitt <Jochen herr-schmitt de> 2.6.0-1
- New upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul  5 2010 Jochen Schmitt <Jochen herr-schmitt de> - 2.4.0-1
- New upstream release

* Sun May  9 2010 Michel Salim <salimma@fedoraproject.org> - 2.2.0-4
- Add Documentation/Developer directories to -filesystem (bug #585721)

* Sun Sep 13 2009 Michel Salim <salimma@fedoraproject.org> - 2.2.0-3
- Package now BuildConflicts: itself (bz#473342)

* Sun Sep 13 2009 Michel Salim <salimma@fedoraproject.org> - 2.2.0-2
- Rename overly-generic info files
- Fix all references to lib -> %%{_lib}
- Add more directories to gnustep-filesystem

* Sat Sep 12 2009 Michel Salim <salimma@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0
- Replace perl scripts with sed equivalents; dropping BR

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 12 2009 Michel Salim <salimma@fedoraproject.org> - 2.0.8-2
- Put documentation into separate subpackage

* Tue Mar  3 2009 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.8-1
- New upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.6-14
- Remove libcombo stuff
- Make sure the libraries are going to /usr/lib64 on x86_64 architecure

* Tue Aug 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-13
- fix license tag

* Wed Aug  6 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.6-12
- Fix %%{_datadir} to %%{_libdir} bug in documentation build.

* Fri Jul  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.6-11
- Update to 2.0.6.
- Move %%{_datadir} to %%{_libdir}, see inline comment.

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-9
- Really fix the make.info clash.

* Fri Feb 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-8
- Rename make.info to avoid clash with GNU make.

* Mon Feb 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-7
- Update to 2.0.4.

* Mon Feb 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-6
- Update to 1.13.0.

* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-5
- Try to make FHS compliant.

* Tue Jul 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-4
- Remove default -lobjc-fd2 switch.
- Disable flat hierarchy to allow for different library combos.

* Wed Jul  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-3
- Update to 1.12.0.
- Use %%{?dist} instead of %%atrelease.
- Use %%{_libdir}/GNUstep as system root.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

